# gdtGate Struct Reference

`#include <gdt.h>`

## Data Fields

unsigned short | access
unsigned short | offsetHigh
unsigned short | offsetLow
unsigned short | selector

## Detailed Description

Definition at line 70 of file gdt.h.

## Field Documentation

unsigned short gdtGate::access

Definition at line 73 of file gdt.h.

Referenced by setTaskVector(), and setVector().

unsigned short gdtGate::offsetHigh

Definition at line 74 of file gdt.h.

Referenced by setTaskVector(), and setVector().

unsigned short gdtGate::offsetLow

Definition at line 71 of file gdt.h.

Referenced by setTaskVector(), and setVector().

unsigned short gdtGate::selector

Definition at line 72 of file gdt.h.

Referenced by setTaskVector(), and setVector().

The documentation for this struct was generated from the following file:

- src/sys/include/sys/gdt.h